<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_202) on Mon Jun 03 13:13:18 CEST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>MetadataDAO (Master POM 0.0.1-SNAPSHOT API)</title>
<meta name="date" content="2019-06-03">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MetadataDAO (Master POM 0.0.1-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MetadataDAO.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../model/dao/ElementDAO.html" title="class in model.dao"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?model/dao/MetadataDAO.html" target="_top">Frames</a></li>
<li><a href="MetadataDAO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">model.dao</div>
<h2 title="Class MetadataDAO" class="title">Class MetadataDAO</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../model/dao/AbstractDAO.html" title="class in model.dao">model.dao.AbstractDAO</a></li>
<li>
<ul class="inheritance">
<li>model.dao.MetadataDAO</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public abstract class <span class="typeNameLabel">MetadataDAO</span>
extends <a href="../../model/dao/AbstractDAO.html" title="class in model.dao">AbstractDAO</a></pre>
<div class="block">The Class MetadataDAO.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/dao/MetadataDAO.html#sqlMapMetadataDiamondsNeeded">sqlMapMetadataDiamondsNeeded</a></span></code>
<div class="block">The sql map metadata diamonds needed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/dao/MetadataDAO.html#sqlMapMetadataDoorX">sqlMapMetadataDoorX</a></span></code>
<div class="block">The sql map metadata door X.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/dao/MetadataDAO.html#sqlMapMetadataDoorY">sqlMapMetadataDoorY</a></span></code>
<div class="block">The sql map metadata door Y.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/dao/MetadataDAO.html#sqlMapMetadataHeight">sqlMapMetadataHeight</a></span></code>
<div class="block">The sql map metadata height.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/dao/MetadataDAO.html#sqlMapMetadataWidth">sqlMapMetadataWidth</a></span></code>
<div class="block">The sql map metadata width.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../model/dao/MetadataDAO.html#MetadataDAO--">MetadataDAO</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/dao/MetadataDAO.html#getMapMetadataDoorX-int-">getMapMetadataDoorX</a></span>(int&nbsp;idLevel)</code>
<div class="block">Gets the map metadata door X.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/dao/MetadataDAO.html#getMapMetadataDoorY-int-">getMapMetadataDoorY</a></span>(int&nbsp;idLevel)</code>
<div class="block">Gets the map metadata door Y.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/dao/MetadataDAO.html#getMapMetadataHeight-int-">getMapMetadataHeight</a></span>(int&nbsp;idLevel)</code>
<div class="block">Gets the map metadata height.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/dao/MetadataDAO.html#getMapMetadataScoreNeed-int-">getMapMetadataScoreNeed</a></span>(int&nbsp;idLevel)</code>
<div class="block">Gets the map metadata score need.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/dao/MetadataDAO.html#getMapMetadataWidth-int-">getMapMetadataWidth</a></span>(int&nbsp;idLevel)</code>
<div class="block">Gets the map metadata width.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.model.dao.AbstractDAO">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;model.dao.<a href="../../model/dao/AbstractDAO.html" title="class in model.dao">AbstractDAO</a></h3>
<code><a href="../../model/dao/AbstractDAO.html#executeQuery-java.lang.String-">executeQuery</a>, <a href="../../model/dao/AbstractDAO.html#executeUpdate-java.lang.String-">executeUpdate</a>, <a href="../../model/dao/AbstractDAO.html#prepareCall-java.lang.String-">prepareCall</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="sqlMapMetadataHeight">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sqlMapMetadataHeight</h4>
<pre>private static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> sqlMapMetadataHeight</pre>
<div class="block">The sql map metadata height.</div>
</li>
</ul>
<a name="sqlMapMetadataWidth">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sqlMapMetadataWidth</h4>
<pre>private static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> sqlMapMetadataWidth</pre>
<div class="block">The sql map metadata width.</div>
</li>
</ul>
<a name="sqlMapMetadataDiamondsNeeded">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sqlMapMetadataDiamondsNeeded</h4>
<pre>private static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> sqlMapMetadataDiamondsNeeded</pre>
<div class="block">The sql map metadata diamonds needed.</div>
</li>
</ul>
<a name="sqlMapMetadataDoorX">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sqlMapMetadataDoorX</h4>
<pre>private static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> sqlMapMetadataDoorX</pre>
<div class="block">The sql map metadata door X.</div>
</li>
</ul>
<a name="sqlMapMetadataDoorY">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>sqlMapMetadataDoorY</h4>
<pre>private static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> sqlMapMetadataDoorY</pre>
<div class="block">The sql map metadata door Y.</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="MetadataDAO--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>MetadataDAO</h4>
<pre>public&nbsp;MetadataDAO()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getMapMetadataHeight-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMapMetadataHeight</h4>
<pre>public static&nbsp;int&nbsp;getMapMetadataHeight(int&nbsp;idLevel)
                                throws <a href="http://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Gets the map metadata height.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>idLevel</code> - the id level</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the map metadata height</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - the SQL exception</dd>
</dl>
</li>
</ul>
<a name="getMapMetadataWidth-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMapMetadataWidth</h4>
<pre>public static&nbsp;int&nbsp;getMapMetadataWidth(int&nbsp;idLevel)
                               throws <a href="http://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Gets the map metadata width.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>idLevel</code> - the id level</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the map metadata width</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - the SQL exception</dd>
</dl>
</li>
</ul>
<a name="getMapMetadataScoreNeed-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMapMetadataScoreNeed</h4>
<pre>public static&nbsp;int&nbsp;getMapMetadataScoreNeed(int&nbsp;idLevel)
                                   throws <a href="http://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Gets the map metadata score need.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>idLevel</code> - the id level</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the map metadata score need</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - the SQL exception</dd>
</dl>
</li>
</ul>
<a name="getMapMetadataDoorX-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMapMetadataDoorX</h4>
<pre>public static&nbsp;int&nbsp;getMapMetadataDoorX(int&nbsp;idLevel)
                               throws <a href="http://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Gets the map metadata door X.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>idLevel</code> - the id level</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the map metadata door X</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - the SQL exception</dd>
</dl>
</li>
</ul>
<a name="getMapMetadataDoorY-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getMapMetadataDoorY</h4>
<pre>public static&nbsp;int&nbsp;getMapMetadataDoorY(int&nbsp;idLevel)
                               throws <a href="http://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Gets the map metadata door Y.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>idLevel</code> - the id level</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the map metadata door Y</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - the SQL exception</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MetadataDAO.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../model/dao/ElementDAO.html" title="class in model.dao"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?model/dao/MetadataDAO.html" target="_top">Frames</a></li>
<li><a href="MetadataDAO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
